Page MenuHomePhabricator

Show referencePreviews on group0 wikis
Closed, ResolvedPublic5 Story Points

Description

Feature prerequisites

  • We can show any contents in the reference preview, and the popup adapts in size/behavior
  • There is a link to the references section
  • There is at least a general header in the popup

Technical prerequisites

  • Turn it into a beta feature

Acceptance Criteria

  • Reference Previews can be enabled as a beta feature on group0 wikis

Notes

  • The effects will only be visible on test.wikipedia.org, all other wikis of group0 don't have the required Popups extension installed (see T214905#4918319 )

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2019, 12:31 PM
Lea_WMDE updated the task description. (Show Details)Jan 29 2019, 2:50 PM
Lea_WMDE set the point value for this task to 5.

Note that the Popups extension is not installed on

  • www.mediawiki.org
    • at least has Navigation popups gadget (only)
  • meta.wikimedia.org (group1 anyway)
    • also no popups gadget installed
  • test.wikidata.org
    • also no popups gadget installed

So this will then only affect test.wikipedia.org that also (only) has the Navigation popups installed.

Lea_WMDE triaged this task as Normal priority.Jan 30 2019, 4:15 PM
Lea_WMDE updated the task description. (Show Details)
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-02-20 board.

Change 491959 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] Show referencePreviews on group0 wikis as beta feature

https://gerrit.wikimedia.org/r/491959

Change 491959 merged by jenkins-bot:
[operations/mediawiki-config@master] Show referencePreviews on group0 wikis as beta feature

https://gerrit.wikimedia.org/r/491959

Mentioned in SAL (#wikimedia-operations) [2019-02-28T12:18:12Z] <zfilipin@deploy1001> Synchronized wmf-config/: SWAT: [[gerrit:491959|Show referencePreviews on group0 wikis as beta feature (T214905)]] (duration: 00m 56s)

FYI: The config is deployed now. On the beta cluster the config is already in effect and ref previews show as non beta features again. On group0 there seems to be something hanging though. Maybe due to caching. - We'll look again later and see if it works.

Change 493409 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] Add ReferencePreviews to allowed BetaFeatures

https://gerrit.wikimedia.org/r/493409

Ok this not yet working on group0 because we forgot one part of the config that's necessary for _new_ BetaFeatures in production. :-/

https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/493409/

We'll try to get this deployed asap. Hopefully today.

Change 493409 merged by jenkins-bot:
[operations/mediawiki-config@master] Add ReferencePreviews to allowed BetaFeatures

https://gerrit.wikimedia.org/r/493409

Mentioned in SAL (#wikimedia-operations) [2019-02-28T16:15:35Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T214905 Add ReferencePreviews to allowed BetaFeatures (duration: 00m 54s)

WMDE-Fisch added a subscriber: Addshore.

All done, thanks @Addshore for the help with ad-hoc config deployment.

So I can enable the beta feature (yay!) but I still don't see reference previews (ever so far) ....

Lea_WMDE closed this task as Resolved.Mar 4 2019, 10:38 AM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-02-20 board.

Oh my... thanks Fisch!